epp_SessionOperations (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.epp_SessionOperations class

### org.openrtk.idl.epp0402

# Interface epp_SessionOperations

Known Subinterfaces:
  epp_Session

Known Implementing Classes:
  EPPClient

`public interface epp_SessionOperations`

Internal IDL interface which is never referenced externally. Sub-interface epp_Session is implemented by EPPClient. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/epp_SessionOperations.java,v 1.2 2003/09/10 21:29:55 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:55 $

See Also:
  `epp_Session`

  ## Method Summary
  `epp_Action` | `processAction(epp_Action request)` Sends EPP command request to the server and retrieves the response.
  `String` | `processXML(String request_xml)` Sends raw XML to the server and returns the XML response.

## Method Details

### processAction

    public epp_Action processAction(epp_Action request)
                throws epp_Exception,
                       epp_XMLException

> Sends EPP command request to the server and retrieves the response. Require some casting on the RTK user's part.
> Parameters:
>   `request` - The action to send to the registry
> Returns:
>   The EPP command response data
> Throws:
>   `epp_XMLException` - if any request data or response data is missing
>   `epp_Exception` - if a communication error occurs or if the server returns an error code
> See Also:
>   `EPPClient`

### processXML

    public String processXML(String request_xml)
                throws epp_Exception,
                       epp_XMLException

> Sends raw XML to the server and returns the XML response. This method is required by processAction().
> Parameters:
>   `request_xml` - The XML request String to send to the server.
> Returns:
>   The raw XML String response from the server.
> Throws:
>   `epp_XMLException` - if any request data or response data is missing
>   `epp_Exception` - if a communication error occurs
> See Also:
>   `EPPClient`

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS